Subject: bug#44804: 28.0.50; loading EBDB using use-package is throwing error

From: Eric Abrahamsen <[email-masked]>
Date: Mon, 23 Nov 2020 10:28:42 -0800

Pankaj Jangid <[email-masked]> writes:

> Eric Abrahamsen <[email-masked]> writes:
>
>>>>> (use-package ebdb
>>>>>   :ensure t
>>>>>   :config
>>>>>   (use-package 'ebdb-gnus  ; no `:ensure t' here, installed with ebdb
>>>>>     :hook emacs-startup)
>>>>>   (use-package 'ebdb-message
>>>>>     :hook emacs-startup))
>>
>> Don't quote ebdb-gnus and ebdb-message above -- see if that works.
>>
>>> Debugger entered--Lisp error: (wrong-type-argument symbolp 'ebdb-gnus)
>>> symbol-name('ebdb-gnus)
>
> With this code:
>
> (use-package ebdb
>   :ensure t
>   :config
>   (use-package ebdb-gnus  ; no `:ensure t' here, installed with ebdb
>     :hook emacs-startup)
>   (use-package ebdb-message
>     :hook emacs-startup))
>
> I get this error:
>
> Debugger entered--Lisp error: (error "Autoloading file /Users/pankaj/.config/emacs/elpa/...")
>   ebdb-message()
>   run-hooks(emacs-startup-hook term-setup-hook)
>   #f(compiled-function () #<bytecode -0x19af99888059321b>)()
>   normal-top-level()

This seems to be trying to call `ebdb-message' as a function, not
loading it.

>
> And, with this code:
>
> (use-package ebdb
>   :ensure t
>   :config
>   (require 'edbd-gnus)
>   (require 'ebdb-message))
>
> I get this:
>
> Debugger entered--Lisp error: (file-missing "Cannot open load file" "No such file or directory" "edbd-gnus")
>   require(edbd-gnus)

This is just a typo for "ebdb".

None of these errors look like actual EBDB errors, just confusions about
how the use-package macro works. I can't really help with these.